Subject: Re: bug#77011: 14.0.9; PDF2DSC removed in Ghostscript 10.05.0

From: Ikumi Keita <[email-masked]>
Date: Sat, 15 Mar 2025 20:58:03 +0900

Hi all,

>>>>> Arash Esbati <[email-masked]> writes:
> philanche via bug-auctex via Bug reporting list for AUCTeX <[email-masked]> writes:
>> In Ghostscript 10.05.0, pdf2dsc was removed, as of the following commit: 
>> 
>> https://cgit.ghostscript.com/cgi-bin/cgit.cgi/ghostpdl.git/commit/?id=be0f68e6119879e440c134ae1c2582574e7942bd. 
>> 
>> Since preview-auctex uses pdf2dsc as part of the rendering, trying to
>> preview anything, such as a simple \(x\), will give the following
>> error.

> Thanks for the heads-up.  IIUC, that change breaks preview wholesale.

> @Keita: I think you're mostly familiar with preview.el.  Can we work
> around this change?  Or should we ask the Ghostscript people to put that
> utility back?  The way I read

>   https://bugs.ghostscript.com/show_bug.cgi?id=708272

> that door is still open.

Hmm, this is disastrous for preview-latex. I'll ask Ghostscript
developers to try to retain pdf2dsc.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW